Scim Logs

A SCIM log entry represents a single SCIM request made to the system. It includes the request made and response provided to the SCIM client.

List Scim Logs

Endpoint

GET/scim_logs

Return Object

ScimLog[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/scim_logs.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "created_at": "2023-01-01T12:00:00Z",
    "request_path": "/api/scim/Users",
    "request_method": "POST",
    "http_response_code": "200",
    "user_agent": "Okta",
    "request_json": "example",
    "response_json": "example"
  }
]

Show Scim Log

Endpoint

GET/scim_logs/{id}

Return Object

ScimLog

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Scim Log ID.

Example Request

curl https://app.files.com/api/rest/v1/scim_logs/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "created_at": "2023-01-01T12:00:00Z",
  "request_path": "/api/scim/Users",
  "request_method": "POST",
  "http_response_code": "200",
  "user_agent": "Okta",
  "request_json": "example",
  "response_json": "example"
}

The ScimLog Object

Some of the endpoints above return a ScimLog object. The attributes of this object are listed below.

AttributeDescription
id
int64
The unique ID of this SCIM request.
created_at
string
The date and time when this SCIM request occurred.
request_path
string
The path portion of the URL requested.
request_method
string
The HTTP method used for this request.
http_response_code
string
The HTTP response code returned for this request.
user_agent
string
The User-Agent header sent with the request.
request_json
string
The JSON payload sent with the request.
response_json
string
The JSON payload returned in the response.

Example ScimLog Object

{
  "id": 1,
  "created_at": "2023-01-01T12:00:00Z",
  "request_path": "/api/scim/Users",
  "request_method": "POST",
  "http_response_code": "200",
  "user_agent": "Okta",
  "request_json": "example",
  "response_json": "example"
}